# $Revision: 1.147 $, $Date: 2012/06/30 21:39:55 $
#
# TODO: - rewrite generate-tarball.sh script to provide locales.zip handling (if needed)
#	- make separate server package with init-scripts, etc...
#	- -locales.patch needs love
#
# NOTE:
# Upstream packages some unfree fonts which we cannot redistribute,
# so when upgrading calibre we should download upstream tarball by hand from
# http://downloads.sourceforge.net/calibre and run generate-tarball.sh script
# included as SourceX.
#
Summary:	E-book converter and library management
Summary(pl.UTF-8):	Konwerter oraz biblioteka dla e-booków
Name:		calibre
Version:	0.8.58
Release:	1
License:	GPL v3+
Group:		Applications/Multimedia
Source0:	%{name}-%{version}-nofonts.tar.xz
# Source0-md5:	a431cc15339f345068ad89505070c6b2
Source1:	generate-tarball.sh
Source2:	%{name}-mount-helper
Patch0:		%{name}-prefix.patch
Patch1:		%{name}-no-update.patch
Patch2:		%{name}-env_module.patch
Patch3:		%{name}-locales.patch
Patch4:		shebang-python-fix.patch
URL:		http://www.calibre-ebook.com/
BuildRequires:	ImageMagick-devel >= 6.6.4.7
BuildRequires:	chmlib-devel
BuildRequires:	libicu-devel
BuildRequires:	pkgconfig
BuildRequires:	podofo-devel
BuildRequires:	poppler-Qt-devel
BuildRequires:	poppler-glib-devel
BuildRequires:	python-BeautifulSoup
BuildRequires:	python-PIL
BuildRequires:	python-PyQt4-devel
BuildRequires:	python-PyQt4-devel-tools
BuildRequires:	python-cssutils >= 1:0.9.9
BuildRequires:	python-dateutil
BuildRequires:	python-devel >= 1:2.7.1
BuildRequires:	python-lxml
BuildRequires:	python-mechanize
BuildRequires:	python-modules-sqlite
BuildRequires:	python-sip-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.586
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	unzip
BuildRequires:	xdg-utils
BuildRequires:	xz >= 1:4.999.7
Requires:	python-BeautifulSoup
Requires:	python-PIL
Requires:	python-PyQt4
Requires:	python-cssutils >= 1:0.9.9
Requires:	python-dateutil
Requires:	python-lxml
Requires:	python-mechanize
Requires:	python-modules-sqlite
Suggests:	ImageMagick-coder-jpeg
Suggests:	ImageMagick-coder-png
### FIXME: libunrar.so is needed for rar-packed files
Suggests:	libunrar-devel
Suggests:	poppler-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Calibre is meant to be a complete e-library solution. It includes
library management, format conversion, news feeds to ebook conversion
as well as e-book reader sync features.

Calibre is primarily a ebook cataloging program. It manages your ebook
collection for you. It is designed around the concept of the logical
book, i.e. a single entry in the database that may correspond to
ebooks in several formats. It also supports conversion to and from a
dozen different ebook formats.

Supported input formats are: MOBI, LIT, PRC, EPUB, CHM, ODT, HTML,
CBR, CBZ, RTF, TXT, PDF and LRS.

%description -l pl.UTF-8
Calibre to bardzo dobry i darmowy program do czytania e-książek.

Calibre umożliwia zarówno czytanie e-książek jak i konwersję wielu
formatów do ich postaci. Program obsługuje następujące typy plików:
import: LRF, PDF, LIT, RTF, OPF, MOBI, PRC, EPUB, FB2, IMP, RB i HTML
eksport: Mobi, LRF i EPUB oraz do aplikacji iPhone-reader i Stanza.

Ten czytnik e-książek oferuje również pobieranie okładek, komiksów i
najnowszych wiadomości z serwisów poświęconym e-książkom. Twórcy
dołączyli również aplikację, którą użytkownik może wykorzystać jako
swój własny serwer darmowych książek.

%package -n bash-completion-calibre
Summary:	bash-completion for calibre
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla calibre
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion

%description -n bash-completion-calibre
bash-completion for calibre.

%description -n bash-completion-calibre -l pl.UTF-8
Pakiet ten dostarcza bashowe uzupełnianie nazw dla calibre.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

# 64bit target build fix
%{__sed} -i -e "s!'/usr/lib'!'%{_libdir}'!g" setup/build_environment.py

# upstream decides to store locale files in a single zip file but we prefer separate .mo
mkdir resources/localization/locales
unzip resources/localization/locales.zip -d resources/localization/locales
chmod 755 resources/localization/locales/*
rm -f resources/localization/locales.zip

%build
CC="%{__cc}" \
CXX=%{__cxx} \
OVERRIDE_CFLAGS="%{rpmcflags}" \
OVERRIDE_LDFLAGS="%{rpmldflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
# create directories for xdg-utils
install -d $RPM_BUILD_ROOT%{_datadir}/{icons/hicolor,packages,mime/packages,desktop-directories} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

XDG_DATA_DIRS="$RPM_BUILD_ROOT%{_datadir}" \
XDG_UTILS_INSTALL_MODE="system" \
LIBPATH="%{_libdir}" \
%{__python} setup.py install \
	--root=$RPM_BUILD_ROOT \
	--libdir="%{_libdir}"

cp -p resources/images/library.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}-gui.png
cp -p resources/images/viewer.png $RPM_BUILD_ROOT%{_pixmapsdir}/calibre-viewer.png

mv $RPM_BUILD_ROOT%{_datadir}/mime/packages/calibre-mimetypes{,.xml}

%py_ocomp $RPM_BUILD_ROOT%{_libdir}/%{name}
%py_comp $RPM_BUILD_ROOT%{_libdir}/%{name}
%py_postclean %{_libdir}/%{name}

mv $RPM_BUILD_ROOT%{_datadir}/%{name}/localization/locales $RPM_BUILD_ROOT%{_localedir}

# set proper filenames for locales (TODO: switch to patch if possible)
for file in $RPM_BUILD_ROOT%{_localedir}/*; do
	lang=$(echo $file|%{__sed} 's:.*locale/\(.*\).*:\1:')
	mkdir $RPM_BUILD_ROOT%{_localedir}/$lang/LC_MESSAGES
	mv $RPM_BUILD_ROOT%{_localedir}/$lang/*.mo \
	$RPM_BUILD_ROOT%{_localedir}/$lang/LC_MESSAGES
done;
for file in $RPM_BUILD_ROOT%{_localedir}/*/LC_MESSAGES/messages.mo; do
	lang=$(echo $file|%{__sed} 's:.*locale/\(.*\)/LC_MESSAGES.*:\1:')
	mv $RPM_BUILD_ROOT%{_localedir}/$lang/LC_MESSAGES/messages.mo \
	$RPM_BUILD_ROOT%{_localedir}/$lang/LC_MESSAGES/%{name}.mo
done;
for file in $RPM_BUILD_ROOT%{_localedir}/*/LC_MESSAGES/iso639.mo; do
	lang=$(echo $file|%{__sed} 's:.*locale/\(.*\)/LC_MESSAGES.*:\1:')
	mv $RPM_BUILD_ROOT%{_localedir}/$lang/LC_MESSAGES/iso639.mo \
	$RPM_BUILD_ROOT%{_localedir}/$lang/LC_MESSAGES/%{name}_iso639.mo
done;

%{__rm} $RPM_BUILD_ROOT%{_bindir}/%{name}-uninstall

# unsupported
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ltg
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/en_AU

install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_mime_database
%update_icon_cache hicolor

%postun
if [ $1 -eq 0 ] ; then
	%update_desktop_database
	%update_mime_database
	%update_icon_cache hicolor
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc Changelog.yaml COPYRIGHT README
%attr(755,root,root) %{_bindir}/calibre
%attr(755,root,root) %{_bindir}/calibre-complete
%attr(755,root,root) %{_bindir}/calibre-customize
%attr(755,root,root) %{_bindir}/calibre-debug
%attr(755,root,root) %{_bindir}/calibre-mount-helper
%attr(755,root,root) %{_bindir}/calibre-parallel
%attr(755,root,root) %{_bindir}/calibre-server
%attr(755,root,root) %{_bindir}/calibre-smtp
%attr(755,root,root) %{_bindir}/calibredb
%attr(755,root,root) %{_bindir}/ebook-convert
%attr(755,root,root) %{_bindir}/ebook-device
%attr(755,root,root) %{_bindir}/ebook-meta
%attr(755,root,root) %{_bindir}/ebook-viewer
%attr(755,root,root) %{_bindir}/epub-fix
%attr(755,root,root) %{_bindir}/fetch-ebook-metadata
%attr(755,root,root) %{_bindir}/lrf2lrs
%attr(755,root,root) %{_bindir}/lrfviewer
%attr(755,root,root) %{_bindir}/lrs2lrf
%attr(755,root,root) %{_bindir}/markdown-calibre
%attr(755,root,root) %{_bindir}/pdfmanipulate
%attr(755,root,root) %{_bindir}/web2disk
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_desktopdir}/calibre-ebook-viewer.desktop
%{_desktopdir}/calibre-gui.desktop
%{_desktopdir}/calibre-lrfviewer.desktop
%{_iconsdir}/hicolor/128x128/apps/calibre-gui.png
%{_iconsdir}/hicolor/128x128/apps/calibre-viewer.png
%{_iconsdir}/hicolor/128x128/mimetypes/application-lrf.png
%{_iconsdir}/hicolor/128x128/mimetypes/gnome-mime-application-lrf.png
%{_iconsdir}/hicolor/128x128/mimetypes/gnome-mime-text-lrs.png
%{_iconsdir}/hicolor/128x128/mimetypes/text-lrs.png
%{_datadir}/mime/packages/calibre-mimetypes.xml
%{_pixmapsdir}/%{name}-gui.png
%{_pixmapsdir}/calibre-viewer.png

%files -n bash-completion-calibre
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: calibre.spec,v $
Revision 1.147  2012/06/30 21:39:55  baggins
- 0.8.58
- poppler patch removed, pdf reflow is now in python

Revision 1.146  2012/06/30 21:27:26  baggins
- rel 6
- package XDG stuff
- adapterized

Revision 1.145  2012/06/30 20:50:45  baggins
- fix install of xdg stuff, files need updating

Revision 1.144  2012/06/21 12:49:26  baggins
- release 5 (by relup.sh)

Revision 1.143  2012/06/14 06:33:31  arekm
- release 4 (by relup.sh)

Revision 1.142  2012/06/13 19:25:23  arekm
- release 3 (by relup.sh)

Revision 1.141  2012/06/13 16:01:44  jajcus
- BR: poppler-glib-devel

Revision 1.140  2012/06/10 21:24:56  blues
- require cssutils >= 0.9.9 for conversion

Revision 1.139  2012/06/01 20:06:02  blues
- rel.2

Revision 1.138  2012/05/27 15:02:51  arekm
- up to 0.8.53; man pages no longer in upstream package

Revision 1.137  2012/05/24 12:58:53  arekm
- release 2

Revision 1.136  2012/02/11 12:35:43  lisu
- 0.8.39

Revision 1.135  2012/02/07 21:58:27  arekm
- release 2

Revision 1.134  2012/02/06 12:27:31  lisu
- up to 0.8.38

Revision 1.133  2012/01/26 09:30:25  lisu
- new TODO item

Revision 1.132  2012/01/24 15:06:43  lisu
- 0.8.36

Revision 1.131  2012/01/17 08:47:48  lisu
- up to 0.8.35

Revision 1.130  2012/01/06 17:19:08  lisu
- 0.8.34

Revision 1.129  2012/01/02 11:47:53  lisu
- 0.8.33

Revision 1.128  2011/12/23 09:30:58  lisu
- 0.8.32

Revision 1.127  2011/12/20 19:35:42  arekm
- release 2

Revision 1.126  2011/12/17 09:52:39  lisu
- 0.8.31

Revision 1.125  2011/12/14 20:46:05  lisu
- updated to 0.8.30

Revision 1.124  2011/12/12 19:02:52  blues
- suggest libunrar-devel

Revision 1.123  2011/12/08 15:25:07  lisu
- rel 2

Revision 1.122  2011/11/25 13:23:33  lmasko
- Up to 0.8.28.

Revision 1.121  2011/11/21 12:55:08  lisu
- 0.8.27

Revision 1.120  2011/11/14 13:00:18  lisu
- 0.8.26

Revision 1.119  2011/10/31 08:49:41  lisu
- 0.8.24

Revision 1.118  2011/10/26 08:03:14  lisu
- 0.8.23

Revision 1.117  2011/10/25 21:03:05  blues
- R: python-PyQt4 (not fetched by devel requires)

Revision 1.116  2011/10/18 07:11:00  lisu
- updated to 0.8.22

Revision 1.115  2011/10/10 13:07:35  blues
- more TODO

Revision 1.114  2011/10/06 21:00:49  lisu
- 0.8.21

Revision 1.113  2011/09/26 06:55:04  lisu
- 0.8.20

Revision 1.112  2011/09/18 20:00:59  lisu
- 0.8.19

Revision 1.111  2011/09/09 18:24:55  lisu
- 0.8.18

Revision 1.110  2011/09/06 08:07:53  lisu
- 0.8.17

Revision 1.109  2011/08/27 11:03:26  lisu
- 0.8.16

Revision 1.108  2011/08/24 11:12:54  lisu
- 0.8.15

Revision 1.107  2011/08/16 07:39:22  lisu
- 0.8.14

Revision 1.106  2011/08/07 14:26:10  lisu
- 0.8.13

Revision 1.105  2011/07/30 21:36:33  lisu
- ImageMagick coders just suggested
- additionaly suggests poppler-progs (for conversion purposes)

Revision 1.104  2011/07/30 11:09:07  lisu
- 0.8.12

Revision 1.103  2011/07/29 13:13:09  lisu
- updated to 0.8.11

Revision 1.102  2011/07/20 21:12:28  atler
- try to fix 64bit build on multiarch systems

Revision 1.101  2011/07/20 20:47:04  atler
- pass cc/cxx/cflags/ldflags to build script

Revision 1.100  2011/07/19 18:05:05  lisu
- rel 2

Revision 1.99  2011/07/19 09:14:15  lisu
- BR: python-PyQt4-devel-tools

Revision 1.98  2011/07/18 12:01:35  lisu
- updated to 0.8.10

Revision 1.97  2011/07/11 08:37:04  lisu
- updated 0.8.9

Revision 1.96  2011/07/05 12:26:22  lisu
- updated to 0.8.8

Revision 1.95  2011/06/29 09:46:24  lisu
- new TODO item

Revision 1.94  2011/06/29 09:38:18  lisu
- more adjustements
- another unsupported locale
- builds and runs, rel 2

Revision 1.93  2011/06/29 09:00:13  lisu
- revert to separated .mo files
- rel 0.1 needs test

Revision 1.92  2011/06/28 07:19:20  lisu
- updated to 0.8.7
- updated no-update.patch
- adapt locales handling to upstream changes (locale files are now placed into a single zip file)

Revision 1.91  2011/06/09 12:50:44  lisu
- rel 2 (new podofo)

Revision 1.90  2011/06/07 06:59:57  lisu
- updated to 0.8.4

Revision 1.89  2011/05/30 07:36:02  lisu
- updated to 0.8,3

Revision 1.88  2011/05/27 14:42:21  lisu
- updated to 0.8.2

Revision 1.87  2011/05/23 12:25:41  lisu
- droped unsupported ltg locale
- rel 2

Revision 1.86  2011/05/23 07:10:06  lisu
- needs python-devel >= 1:2.7.2 to build

Revision 1.85  2011/05/19 21:36:20  lisu
- updated to 0.8.1

Revision 1.84  2011/05/06 08:04:12  lisu
- updated to 0.7.59

Revision 1.83  2011/04/01 21:01:54  lisu
- up to 0.7.53
- adapterized

Revision 1.82  2011/03/28 22:32:48  mmazur
- rel 2
- added mount helper script which utilizes udisks (stolen from Debian)
- use python instead of python2 in the shebang

Revision 1.81  2011/03/27 16:42:06  lisu
- 0.7.52

Revision 1.80  2011/03/20 18:06:01  arekm
- release 2

Revision 1.79  2011/03/18 20:29:05  atler
- up to 0.7.50
- precompile python source files

Revision 1.78  2011/03/18 11:24:43  lisu
- rel 2 (new podofo)

Revision 1.77  2011/03/06 09:42:04  lisu
- 0.7.48

Revision 1.76  2011/03/01 14:12:06  lisu
- rel 2

Revision 1.75  2011/02/27 10:16:38  lisu
- up to 0.7.47

Revision 1.74  2011/02/26 07:39:09  arekm
- release 2

Revision 1.73  2011/02/19 12:06:07  lisu
- up to 0.7.46

Revision 1.72  2011/02/14 15:26:12  lisu
- 0.7.45

Revision 1.71  2011/02/11 12:41:15  lisu
- bash-completion-calibre requires bash-completion (thx uzsolt)

Revision 1.70  2011/02/06 13:38:18  lisu
- up to 0.7.44

Revision 1.69  2011/01/29 14:53:20  lisu
- up to 0.7.43

Revision 1.68  2011/01/24 13:10:03  lisu
- up to 0.7.42

Revision 1.67  2011/01/15 15:58:10  lisu
- 0.7.40

Revision 1.66  2011/01/10 08:33:50  lisu
- notice version bump in previous commit log

Revision 1.65  2011/01/10 08:33:05  lisu
- updated for 0.7.38
- epoch for python-cssutils BR

Revision 1.64  2011/01/04 11:17:01  lisu
- 0.7.37

Revision 1.63  2011/01/02 21:43:40  lisu
- find_lang --with-qm
- rel 2

Revision 1.62  2011/01/02 21:30:41  lisu
- 0.7.36

Revision 1.61  2010/12/28 13:44:40  lisu
- rel 2 (new poppler)

Revision 1.60  2010/12/27 09:01:29  lisu
- updated to 0.7.35
- more verbose files
- *.qm files are now supported by find_lang macro
- tar.xz package

Revision 1.59  2010/12/22 11:21:18  lisu
- more BRs

Revision 1.58  2010/12/22 10:50:56  lisu
- updated to 0.7.34

Revision 1.57  2010/12/13 18:33:02  lisu
- R: ImageMagick-coder-png

Revision 1.56  2010/12/13 09:06:10  lisu
- up to 0.7.33

Revision 1.55  2010/12/12 17:29:50  lisu
- R: python-BeautifulSoup

Revision 1.54  2010/12/10 12:18:12  lisu
- updated to 0.7.32
- drop obsolete -mounthelper.patch

Revision 1.53  2010/12/09 07:57:52  lisu
- rel 2 (new ImageMagick)

Revision 1.52  2010/12/03 14:02:27  lisu
- up to 0.7.31
- use rm macro

Revision 1.51  2010/11/23 23:45:31  baggins
- rel 3

Revision 1.50  2010/11/23 05:48:52  arekm
- release 2

Revision 1.49  2010/11/22 10:17:40  lisu
- up to 0.7.9
- add hu and ja translation

Revision 1.48  2010/11/15 13:27:16  lisu
- 0.7.28

Revision 1.47  2010/11/08 15:21:14  lisu
- 0.7.27

Revision 1.46  2010/10/18 16:01:50  lisu
- 0.7.24

Revision 1.45  2010/10/11 10:32:19  lisu
- 0.7.23

Revision 1.44  2010/10/04 08:41:13  lisu
- up to 0.7.22

Revision 1.43  2010/09/28 22:12:01  mmazur
- doesn't work with .so.3 ImageMagick (BR: 6.6.4.7)

Revision 1.42  2010/09/28 20:57:14  mmazur
- R: python-cssutils >= 0.9.7b3

Revision 1.41  2010/09/25 18:46:00  lisu
- 0.7.20

Revision 1.40  2010/09/20 09:28:10  lisu
- up to 0.7.19

Revision 1.39  2010/09/06 16:48:53  lisu
- 0.7.17

Revision 1.38  2010/09/02 12:55:17  lisu
- updated to 0.7.16
- it seems to work, rel 1

Revision 1.37  2010/08/22 21:51:24  lisu
- up to 0.7.15
- BR: poppler-Qt-devel
- reenable bash completion

Revision 1.36  2010/08/16 09:16:50  lisu
- version up to 0.7.14

Revision 1.35  2010/08/10 13:01:50  lisu
- 0.7.13
- still errors (TODO)

Revision 1.34  2010/08/01 11:29:36  lisu
- updated to 0.7.12
- kill obsolete BR: poppler-Qt-devel

Revision 1.33  2010/07/24 11:43:27  lisu
- 0.7.10

Revision 1.32  2010/07/22 13:45:07  lisu
- up to 0.7.9
- add cs and he translations
- new sub-package: bash-completion-calibre

Revision 1.31  2010/07/14 12:31:45  lisu
- 0.7.8

Revision 1.30  2010/07/07 11:59:57  lisu
- up to 0.7.7

Revision 1.29  2010/06/23 10:39:05  lisu
- up to 0.7.4
- still problem with installation

Revision 1.28  2010/06/21 13:38:14  lisu
- more TODO
- rel 0.1 (can't be installed properly)

Revision 1.27  2010/06/19 20:03:26  lisu
- R: ImageMagick-coder-jpeg

Revision 1.26  2010/06/18 11:09:27  lisu
- almost everything is done, rel 1

Revision 1.25  2010/06/18 10:19:23  lisu
- add -mounthelper.patch to enable mount helper

Revision 1.24  2010/06/18 10:08:47  lisu
- locales work now

Revision 1.23  2010/06/18 09:49:15  lisu
- up to 0.7.2

Revision 1.22  2010/06/11 18:51:26  lisu
- extended TODO

Revision 1.21  2010/06/11 18:38:25  lisu
- up to 0.7.1
- some patches updates
- BR: pkgconfig

Revision 1.20  2010/05/24 07:58:20  lisu
- TODO

Revision 1.19  2010/05/21 12:52:55  lisu
- rpmbuild(find_lang) -> rpmbuild(macros)

Revision 1.18  2010/05/21 12:04:47  lisu
- package *.qm files

Revision 1.17  2010/05/21 11:36:23  lisu
- pl

Revision 1.16  2010/05/21 11:17:26  lisu
- drop calibre-uninstall binary

Revision 1.15  2010/05/21 11:13:11  lisu
- proper locales packaging

Revision 1.14  2010/05/21 09:22:13  lisu
- don't try to install init_calibre.py (avoid warnings)

Revision 1.13  2010/05/21 08:53:14  lisu
- BR: xdg-utils
- include generate-tarball.sh script to automate full free tarball generation

Revision 1.12  2010/05/21 08:46:23  lisu
- reverse, CFLAGS already passed by python macro

Revision 1.11  2010/05/21 08:27:53  lisu
- pass our CXXFLAGS

Revision 1.10  2010/05/20 18:09:15  lisu
- add -no-update.patch to disable automatic updates (from fc)

Revision 1.9  2010/05/20 17:52:30  lisu
- fix manpages files names (-manpages.patch from fc) and package them

Revision 1.8  2010/05/20 17:31:04  lisu
- Rs: python-dateutil, python-PIL

Revision 1.7  2010/05/20 17:28:46  lisu
- fix build on 64 bits

Revision 1.6  2010/05/20 17:09:00  lisu
- note how to upgrade without non-free fonts packaging (somebody has better idea?)

Revision 1.5  2010/05/20 16:47:28  lisu
- BRs: python-PIL, python-dateutil

Revision 1.4  2010/05/20 15:00:42  lisu
- BR: python-module-sqlite
- Rs: python-cssutils, python-lxml, python-mechanize, python-modules-sqlite
- runs, but still neeeds some work

Revision 1.3  2010/05/20 12:16:18  glen
- summary, desc, license from fc

Revision 1.2  2010/05/20 10:50:29  lisu
- BR: python-BeautifulSoup

Revision 1.1  2010/05/20 10:09:33  lisu
- init, ugly, not finished
